#!/bin/sh

sysctl -w net.ipv4.ip_forward=1

# openvpn UDP server address range
iptables -t nat -D POSTROUTING -s {{ openvpn_server_udp_cidr }} -o {{ openvpn_server_interface }} -j MASQUERADE || true
iptables -t nat -A POSTROUTING -s {{ openvpn_server_udp_cidr }} -o {{ openvpn_server_interface }} -j MASQUERADE

# openvpn TCP server address range
iptables -t nat -D POSTROUTING -s {{ openvpn_server_tcp_cidr }} -o {{ openvpn_server_interface }} -j MASQUERADE || true
iptables -t nat -A POSTROUTING -s {{ openvpn_server_tcp_cidr }} -o {{ openvpn_server_interface }} -j MASQUERADE

iptables -D FORWARD -o {{ openvpn_server_interface }} -j ACCEPT || true
iptables -A FORWARD -o {{ openvpn_server_interface }} -j ACCEPT
iptables -D FORWARD -m state --state ESTABLISHED,RELATED -i {{ openvpn_server_interface }} -j ACCEPT || true
iptables -A FORWARD -m state --state ESTABLISHED,RELATED -i {{ openvpn_server_interface }} -j ACCEPT

exit 0